<?php
//v1.0.4 www.bcoos.net 2006/10 GPL
// www.bcoos.net 2006-09 1.0.2 GPL
//v1.2 www.exoops.info 2006/03 
// $Id: modfile.php,v 1.1 2003/08/31 12:16:12 half-dead Exp $
// ------------------------------------------------------------------------- //
//               E-Xoops: Content Management for the Masses                  //
//                       < http://www.e-xoops.com >                          //
// ------------------------------------------------------------------------- //
// Original Author: James Knickelbein
// Author Website : http://www.journeymilwaukee.com
// License Type   : GPL: See /manual/LICENSES/GPL.txt
// ------------------------------------------------------------------------- //
include_once("header.php");
include_once(XOOPS_ROOT_PATH."/class/upload.class.php");
include_once(XOOPS_ROOT_PATH."/class/module.errorhandler.php");
include_once(XOOPS_ROOT_PATH."/class/xoopsform/formdhtmltextarea.php");
$eh     = new ErrorHandler();
$mytree = new XoopsTree($db->prefix("mydownloads_cat"), "cid", "pid");
if ( !empty($_POST['submit']) ) {
	if (!$xoopsUser) {
		redirect_header(XOOPS_URL."/user.php", 2, _MUSTREGISTERFIRST);
		exit();
		} else {
			$modifysubmitter = $xoopsUser->uid();
		}
$lid         = intval($_POST["lid"]);
$cid         = intval($_POST["cid"]);
$homepage    = formatURL($myts->makeTboxData4Save($_POST["homepage"]));
$url         = $myts->makeTboxData4Save($_POST["url"]);
$title       = $myts->makeTboxData4Save($_POST["title"]);
$version     = $myts->makeTboxData4Save($_POST["version"]);
$platform    = $myts->makeTboxData4Save($_POST["platform"]);
$description = $myts->makeTboxData4Save($_POST["filedesc"]);
$size        = $_POST["size"];
// Check if Title exist
if ( empty($title) ) {
	$eh->show("1001");
}
// Check if Description exist
if ( empty($description) ) {
	$eh->show("1008");
}
if ( empty($size) || !is_numeric($size) ) {
	$size = 0;
}
if ( ($mydownloadsConfig['allow_upload'] == 1) && !empty($_FILES['download']['name']) ) {
	$upload = new Upload();
	$upload->setAllowedMimeTypes($mydownloadsConfig['accepted_files']);
	$upload->setUploadPath(XOOPS_ROOT_PATH.'/modules/mydownloads/cache/files');
	$upload->setDestinationFileName('download');
	$result = $upload->doUpload();
	
	if ($result) {
		$url  = $upload->HTTP_POST_FILES[$upload->uploadFieldName]['name'];
		$size = $upload->HTTP_POST_FILES[$upload->uploadFieldName]['size'];
		} else {
			$errors = $upload->getUploadErrors();
			$errorstring = "";
			$errorstring .= "<strong>::Errors occured::</strong><br />\n";
			while(list($filename,$values) = each($errors)) {
				$errorstring .= "File: " . $filename . "<br />";
				$count = count($values);
				for($i=0; $i<$count; $i++) { $errorstring .= "==>" . $values[$i] . "<br />"; }
			}
			redirect_header("modfile.php?lid=$lid", 3, $errorstring);
			exit();
		}
}
// Check if URL exist
if ( empty($url) ) {
	$eh->show("1016");
}
$newid = $db->genId($db->prefix("mydownloads_mod")."_requestid_seq");
$sql   = "
	INSERT INTO
	".$db->prefix("mydownloads_mod")."
	SET
	requestid=$newid,
	lid=$lid,
	cid=$cid,
	title='$title',
	url='$url',
	homepage='$homepage',
	version='$version',
	size='$size',
	platform='$platform',
	description='$description',
	modifysubmitter=$modifysubmitter";
$db->query($sql) or $eh->show("0013");
redirect_header("index.php", 2, _THANKSFORINFO);
exit();
} else {
$lid = intval($_GET['lid']);
if (!$xoopsUser) {
	redirect_header(XOOPS_URL."/user.php", 2, _MUSTREGISTERFIRST);
	exit();
}
include_once(XOOPS_ROOT_PATH."/header.php");
OpenTable();
mainheader();
echo "<table width='80%' align='center'>"._REQUESTMODIFICATION."<br /><br />";
$result = $db->query("SELECT cid, title, description, url, homepage, version, size, platform, submitter FROM ".$db->prefix("mydownloads_downloads")." WHERE lid=".$lid." AND status>0");
list($cid, $title, $description, $url, $homepage, $version, $size, $platform, $submitter) = $db->fetchRow($result);
$title       = $myts->makeTboxData4Edit($title);
$url         = $myts->makeTboxData4Edit($url);
$homepage    = $myts->makeTboxData4Edit($homepage);
$version     = $myts->makeTboxData4Edit($version);
$size        = $myts->makeTboxData4Edit($size);
$platform    = $myts->makeTboxData4Edit($platform);
$description = $myts->makeTboxData4Edit($description);
?>
<form action="modfile.php" method="post">
<table width="80%"><tr>
<td align="right"><b><?php echo _FILEID;?></b></td>
<td><?php echo $lid;?></td>
</tr><tr>
<td align="right"><b><?php echo _TITLE.': ';?></b></td>
<td><input type="text" class="text" name="title" size="50" maxlength="100" value="<?php echo $title;?>" /></td>
</tr><tr>
<td align="right" valign="top" nowrap><b><?php echo _DOWNLOADURL;?></b></td>
<td>
<input type="text" class="text" name="url" size="50" maxlength="255" value="<?php echo $url;?>" />
<?php
if ( (($xoopsUser->uid() == $submitter) || $xoopsUser->isAdmin($xoopsModule->mid())) && ($mydownloadsConfig['allow_upload'] == 1) ) {
	$upload = new Upload();
	$upload->setMaxImageSize($mydownloadsConfig['upload_limit']);
		echo "<br />";
	$upload->printFormField('download');
		echo " <b>" . $mydownloadsConfig['upload_limit'] . "</b> " . _BYTES . " " . _MAX;
}
?>
</td>
</tr><tr>
<td align="right"><b><?php echo _CATEGORY.": ";?></b></td>
<td><?php $mytree->makeMySelBox("title", "title", $cid);?></td>
</tr><tr>
<td align="right"><b><?php echo _SITEURL.": ";?></b></td>
<td><input type="text" class="text" name="homepage" size="50" maxlength="255" value="<?php echo $homepage;?>" /></td>
</tr><tr>
<td align="right"><b><?php echo _VERSION.': ';?></b></td>
<td><input type="text" class="text" name="version" size="10" maxlength="10" value="<?php echo $version;?>" /></td>
</tr><tr>
<td align="right"><b><?php echo _FILESIZE.': ';?></b></td>
<td><input type="text" class="text" name="size" size="10" maxlength="8" value="<?php echo $size;?>" /> <?php echo _BYTES;?></td>
</tr><tr>
<td align="right"><b><?php echo _PLATFORM.': ';?></b></td>
<td><input type="text" class="text" name="platform" size="45" maxlength="50" value="<?php echo $platform;?>" /></td>
</tr><tr>
<td align="right" valign="top"><b><?php echo _DESCRIPTION.':';?></b></td>
<td>
<?php
$desc = new XoopsFormDhtmlTextArea('', 'filedesc', $description, 10, 50);
echo $desc->render();
?>
</td>
</tr><tr>
<td colspan="2" align="center"><br />
<input type="hidden" name="lid" value="<?php echo $lid;?>" />
<input name="submit" class="button" type="submit" value="<?php echo _SUBMIT;?>" />
<input type="button" class="button" value="<?php echo _CANCEL;?>" onclick="javascript:history.go(-1)" />
</form></td></tr></table>
<?php
CloseTable();
}
include_once("footer.php");
?>
